% Ammonia Simulation
% Comparison of Full and Simplified Model
% 10/8/19
load AmmoniaFullModel.txt -ascii;
load AmmoniaSimplifiedModel.txt -ascii;
vf = AmmoniaFullModel(:,1);
MflowN2f = AmmoniaFullModel(:,2);
MflowH2f = AmmoniaFullModel(:,3);
MflowNH3f = AmmoniaFullModel(:,4);
Pf = AmmoniaFullModel(:,5);
Tf = AmmoniaFullModel(:,6);
Hf = AmmoniaFullModel(:,7);
Convf = AmmoniaFullModel(:,8);
%
vs = AmmoniaSimplifiedModel(:,1);
MflowN2s = AmmoniaSimplifiedModel(:,2);
MflowH2s = AmmoniaSimplifiedModel(:,3);
MflowNH3s = AmmoniaSimplifiedModel(:,4);
Ts = AmmoniaSimplifiedModel(:,5);
Convs = AmmoniaSimplifiedModel(:,6);
%
figure(1)
plot(vf,Tf,'r-',vs,Ts,'b-')
grid
xlabel('Reactor Volume - m3')
ylabel('Temperature - degC')
title('Temperature Comparison')
legend('Full Model','Simplified Model','Location','southeast')
%
figure(2)
plot(vf,Convf,'r-',vs,Convs,'b-')
grid
xlabel('Reactor Volume - m3')
ylabel('Conversion (N2 basis) - %')
title('Conversion Comparison')
legend('Full Model','Simplified Model','Location','southeast')